Bug 520416 - pasting doesnt work in pinentry (qt4)
Summary: pasting doesnt work in pinentry (qt4)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pinentry
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-31 12:08 UTC by ra
Modified: 2013-12-01 23:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-02 15:11:12 UTC


Attachments (Terms of Use)

Description ra 2009-08-31 12:08:27 UTC
pasting a key to pinentry within kmail doesnt work after upgrading to 0.7.6-1.fc11
downgrading pinentry and pinentry-qt to 0.7.4-6.fc11 makes it work again.

Comment 1 Rex Dieter 2009-08-31 12:11:47 UTC
I believe it's a security feature (no copy/paste of sensitive pin/passwords allowed), it may have been a bug that it worked previously.

I'll double-check.

Comment 2 ra 2009-09-01 19:38:09 UTC
Thanks for the lightning fast answer! (:

I didnt think of it as a security feature by now. For me it is more secure to paste a password (that is very long and containts a lot special characters) then to type a password that I can easily remember.

Comment 3 Stanislav Ochotnicky 2010-04-20 14:16:31 UTC
I tried to reproduce this bug and pasting seems to work for me in two ways:
 * selecting text on terminal and pasting with middle mouse button
 * ctr-c in firefox and pasting with ctrl-v in pinentry-qt
both approaches seem to work fine

I used 0.7.6-4.fc12 though, so there might be something different (changes in qt itself for example) causing failure on your side...Can you try to reproduce on f-12? I'll try to reproduce on f-11 in the meantime :-)

Comment 4 ra 2010-04-21 11:16:27 UTC
I can confirm that pasting works again in 0.7.6-4.fc12.

Thanks, Stanislav! (:

Comment 5 ra 2010-05-19 20:53:08 UTC
I have to reopen this bug. Copy/Paste only works in pinentry-qt (qt3) version not in pinentry-qt4!

Comment 6 ra 2010-08-08 12:10:00 UTC
F13 provides qt4 only (pinentry-qt-0.8.0-3.fc13.i686.rpm). So pasting does not work anymore which is a regression for me.

Installing pinentry-qt-0.7.6-5.fc13.i686.rpm makes it work again.

Having a quick look at the source code qt4/qsecurelineedit.h shows "# define QT_NO_CLIPBOARD". But it does not compile without it.

Comment 7 Stanislav Ochotnicky 2010-08-23 14:31:20 UTC
I actually discussed this on gpa-devel mailing list some time ago, see [1]. Especially second part and further messages in that thread. Also see [2] and [3] for more information and suggestions to "fix" this.

In summary this seems to be upstream goal and not really a bug. We could perhaps workaround this somehow, but as you yourself noticed upstream doesn't support this. If the patch/fix is simple enough maybe we could use it for Fedoras.


[1] http://lists.gnupg.org/pipermail/gpa-dev/2010-April/002491.html
[2] http://lists.gnupg.org/pipermail/gpa-dev/2010-May/002505.html
[3] http://lists.gnupg.org/pipermail/gpa-dev/2010-June/002506.html

Comment 8 ra 2010-08-25 10:28:17 UTC
Thanks for the update.
"no-grab" did not do the trick for me. So I will keep the qt3 version for now.

Comment 9 Bug Zapper 2010-11-04 10:17:12 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Stanislav Ochotnicky 2010-11-04 12:44:57 UTC
I moved the bug to F-13 since that's where it's currently happening.

Comment 11 Bug Zapper 2011-06-02 17:47:15 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 ra 2011-06-18 14:19:52 UTC
Moved to F-14.

Comment 13 Rex Dieter 2011-09-02 15:11:12 UTC
Marking wontfix as upstream intended behavior.

Yes, it sucks, a little.  sorry.
No, I don't think we'd consider changing it ourselves

Comment 14 Germano Massullo 2013-12-01 23:02:59 UTC
(In reply to Rex Dieter from comment #13)
> Marking wontfix as upstream intended behavior.
> 
> Yes, it sucks, a little.  sorry.
> No, I don't think we'd consider changing it ourselves

It sucks a lot, I will not manually enter a 20 char password with symbols, etc.


Note You need to log in before you can comment on or make changes to this bug.